﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tektronix THS700x (1 yr) VER RS-232 /5500,O_CAL
DATE:                  2014-07-11 09:14:38
AUTHOR:                Fluke
REVISION:              $Revision: 19178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       160
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        THS710A, THS720A, THS720P, THS730A
# 
#  Source(s):
#        Tektronix THS710A, THS720A, THS730A & THS720P TekScope Service manual
#        070-9752-02
# 
#  Compatibility:
#        MET/CAL 8.2.3 or later
#
#  Additional Equipment Required:
#        Banana to Banana Cable(two required)
#        50 Ohm BNC Cable
#        50 Ohm Feedthrough Termination
#        Dual Banana to BNC Adapter
#        RJ-45 to 9-pin female null modem adapter(standard)
#
# The procedure was tested using:
#        Model No  : THS720A
#        Serial No : b032242
#        Options   : CF:91.1CT
#        Firmware  : v1.16
#
# Average run time during testing : 30 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

  1.002  IF           NOT(VERSIONCHECK("8.2.3"))
  1.003  END
  1.004  ENDIF

  1.005  CALL         Sub Display Copyright
  1.006  CALL         Sub High Voltage Safety Warning
  1.007  CALL         Sub Select Failed Test Mode
  1.008  CALL         Sub Select Verification Method (No NTHROW)

  1.009  HEAD         PRELIMINARY INSTRUCTIONS
  1.010  DISP         Ensure a minimum UUT warm-up time of at least
  1.010  DISP         10 minutes has been allowed to elapse, prior
  1.010  DISP         to beginning verification.

  1.011  CALL         Sub UUT RS-232 Connection RJ-45 DB9 (f) 2 m Cable
  1.012  CALL         Sub Tek THS700x Setup RS-232

  1.013  PORT         *RST;*OPC?[I!]

  1.014  HEAD         UUT IDENTIFICATION
  1.015  CALL         Sub IEEE-488.2 Identification Query RS-232
  1.016  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.017  JMPL         END                           @Abort

  1.018  CALL         Sub Tek THS700x Check Firmware Version
  1.019  JMPL         END                           @Abort

  1.020  HEAD         EQUIPMENT REQUIREMENTS
  1.021  OPBR         -z Do you want to REVIEW the list of additional
  1.021  OPBR         equipment and/or accessories required?

  1.022  IF           MEM1
  1.023  DISP         - Banana to Banana Cable(two required)
  1.023  DISP         - 50 Ohm BNC Cable
  1.023  DISP         - 50 Ohm Feedthrough Termination
  1.023  DISP         - Dual Banana to BNC Adapter
  1.023  DISP         - RJ-45 to 9-pin female null modem adapter(standard)
  1.024  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results. For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.025  CALL         Sub Tek THS700x Set Bandwidth
  1.026  CALL         Sub Tek THS700x Sig Path Comp Cal RS-232
  1.027  JMPL         END                           @Abort

  1.028  CALL         Sub Tek THS700x Self-Test RS-232
  1.029  JMPL         END                           @Abort

  1.030  MATH         @Chan = 1
  1.031  CALL         Sub Tek THS700x (1 yr) SCOPE DCV VER RS-232 /5500
  1.032  JMPL         BANDWIDTH_CH1

  1.033  LABEL        DCV_CH2
  1.034  MATH         @Chan = 2
  1.035  CALL         Sub Tek THS700x (1 yr) SCOPE DCV VER RS-232 /5500
  1.036  JMPL         BANDWIDTH_CH2

  1.037  LABEL        BANDWIDTH_CH1
  1.038  MATH         @Chan = 1
  1.039  CALL         Sub Scope Connection (50 Ω feedthrough) /O_CAL
  1.040  CALL         Sub Tek THS700x (1 yr) Bandwidth VER RS-232 /O_CAL
  1.041  JMPL         TRIG_CH1

  1.042  LABEL        BANDWIDTH_CH2
  1.043  MATH         @Chan = 2
  1.044  CALL         Sub Scope Connection (50 Ω feedthrough) /O_CAL
  1.045  CALL         Sub Tek THS700x (1 yr) Bandwidth VER RS-232 /O_CAL
  1.046  JMPL         TRIG_CH2

  1.047  LABEL        TRIG_CH1
  1.048  MATH         @Chan = 1
  1.049  CALL         Sub Tek THS700x (1 yr) Trig Sens VER RS-232 /O_CAL
  1.050  JMPL         SAMPLE_RATE

  1.051  LABEL        TRIG_CH2
  1.052  MATH         @Chan = 2
  1.053  CALL         Sub Tek THS700x (1 yr) Trig Sens VER RS-232 /O_CAL
  1.054  JMPL         DMM_DCV_CH1

  1.055  LABEL        SAMPLE_RATE
  1.056  MATH         @Chan = 1
  1.057  CALL         Sub Tek THS700x (1 yr) Sample Rate VER RS-232 /O_CAL
  1.058  JMPL         DCV_CH2

  1.059  LABEL        DMM_DCV_CH1
  1.060  CALL         Sub Tek THS700x (1 yr) DMM DCV VER RS-232 /5500
  1.061  CALL         Sub Tek THS700x (1 yr) DMM ACV VER RS-232 /5500
  1.062  CALL         Sub Tek THS700x (1 yr) DMM Resistance VER RS-232 /5500

  1.063  LABEL        END
  1.064  HEAD         -2

  1.065  IF           @Abort
  1.066  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.067  ELSE
  1.068  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.069  ENDIF

  1.070  END
